﻿using System;
using System.Collections.Generic;
using System.Data.Entity;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ELTE.TravelAgency.Service.Models
{
    /// <summary>
    /// Entitásmodell felülete.
    /// </summary>
    public interface ITravelAgencyEntities : IDisposable
    {
        /// <summary>
        /// Városok gyűjteménye.
        /// </summary>
        DbSet<City> City { get; set; }

        /// <summary>
        /// Apartmanok gyűjteménye.
        /// </summary>
        DbSet<Apartment> Apartment { get; set; }

        /// <summary>
        /// Épületek gyűjteménye.
        /// </summary>
        DbSet<Building> Building { get; set; }

        /// <summary>
        /// Épületképek gyűjteménye.
        /// </summary>
        DbSet<BuildingImage> BuildingImage { get; set; }

        /// <summary>
        /// Foglalások gyűjteménye.
        /// </summary>
        DbSet<Rent> Rent { get; set; }

        /// <summary>
        /// Változtatások mentése.
        /// </summary>
        Int32 SaveChanges();
    }
}
